Skip to main content
GET
/
bank-linking
/
transactions
Search financial account transactions
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/transactions \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "financialAccountTransactions": [
    {
      "accountId": "<string>",
      "amount": 123,
      "connectionIds": [
        "<string>"
      ],
      "currency": "<string>",
      "customerId": "<string>",
      "description": "<string>",
      "externalCustomerId": "<string>",
      "financialAccountId": "<string>",
      "id": "<string>",
      "key": "<string>",
      "postedDate": "2023-11-07T05:31:56Z",
      "serviceProviderDetails": [
        {}
      ],
      "transactionDate": "2023-11-07T05:31:56Z"
    }
  ],
  "remaining": 123
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

customerId
string

Meld generated unique identifier for your customer. This should be used to track customer activity. If provided, externalCustomerId should not be provided. However, if both are present then customerId takes precedence.

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity. If provided, customerId should not be provided. However, if both are present then customerId takes precedence.

financialAccountId
string

Financial account id

status
enum<string>

Financial account transaction status

Available options:
PENDING,
POSTED
startDate
string<date>

Start date to begin search from of format yyyy-mm-dd

endDate
string<date>

End date stop search on of format yyyy-mm-dd

before
string

Unique key corresponding to a transaction's position in the paginated list of results -- used to indicate that only transactions residing before this key will be retrieved.

Each transaction carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

after
string

Unique key corresponding to a transaction's position in the paginated list of results -- used to indicate that only transactions residing after this key will be retrieved.

Each transaction carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

category
string

Transaction category

connectionId
string

Connection Id

limit
integer<int32>

Limits number of returned financial account transactions.

Default value: 100

Minimum value: 1

Maximum value: 1000

Response

Financial account transactions are returned

count
integer<int32>

Number of financial account transactions returned.

financialAccountTransactions
object[]

Financial account transactions

remaining
integer<int32>

Number of remaining financial account transactions before/after this page, depending on the direction this page was selected.